Subject: Re: bug#42655: 27.1; iconify-frame on a Lucid build may stuck the frame

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Aug 2020 17:20:26 +0300

> Date: Tue, 04 Aug 2020 06:59:59 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> In any case, I asked for a C-level backtrace when I responded to your original report. Can you please attach
> a debugger to Emacs after selecting the previously iconified frame, and show such a backtrace? Please do
> that with an unpatched Emacs and in "emacs -Q".

Also, I don't understand what you mean in your original report by
"unresponsive frame" and "cannot insert characters".  Do you mean that
Emacs is "stuck" and doesn't respond, or do you mean that the results
of whatever you do are not displayed?  And what _do_ you see displayed
when you "select the window displaying the Emacs GUI" after C-z?

If the problem is with display, then does it help to type (blindly)
"M-x redraw-display RET"?